<%#-- copyright
Nepenthes is a free and open project management software.
Copyright (C) 2024 The Nirvati developers

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

Nepenthes is a fork of OpenProject. The copyright follows:

Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>

<%= toolbar title: t(:label_date_format) %>

<%= styled_form_tag(
      admin_settings_date_format_path,
      method: :patch,
      class: 'op-date-format-admin-settings'
    ) do %>

  <section class="form--section">

    <div class="form--field">
      <%= setting_select :date_format,
                         Settings::Definition[:date_format].allowed.collect {|f| [Date.today.strftime(f), f]},
                         blank: :label_language_based,
                         container_class: '-wide' %>
    </div>

    <div class="form--field">
      <%= setting_select :time_format,
                         Settings::Definition[:time_format].allowed.collect {|f| [Time.now.strftime(f), f]},
                         blank: :label_language_based,
                         container_class: '-wide' %>
    </div>

    <div class="form--field">
      <%= setting_select :start_of_week, [[day_name(1),'1'], [day_name(6),'6'], [day_name(7),'7']], blank: :label_language_based, container_class: '-wide' %>
    </div>

    <div class="form--field">
      <%= setting_select :first_week_of_year, [[day_name(1),'1'], [day_name(4),'4']], blank: :label_language_based,  container_class: '-wide' %>
     <div class="form--field-instructions">
        <p><%= t('settings.date_format.first_week_of_year_text_html', link: OpenProject::Static::Links[:date_format_settings_documentation][:href]) %></p>
      </div>
    </div>

  </section>

  <%= styled_button_tag t(:button_save), class: '-primary -with-icon icon-checkmark' %>
<% end %>
